/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: PetalsException.java 2948 2007-05-03 16:08:30Z chamerling $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals;

/**
 * Exception of the Petals platform
 * 
 * @author Rafael Marins
 * @version $Rev: 2948 $ $Date: 2007-05-03 18:08:30 +0200 (jeu, 03 mai 2007) $
 */

public class PetalsException extends Exception {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public PetalsException() {
        super();
    }

    /**
     * @param message
     */
    public PetalsException(String message) {
        super(message);
    }

    /**
     * @param message
     * @param cause
     */
    public PetalsException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @param cause
     */
    public PetalsException(Throwable cause) {
        super(cause);
    }

}
