/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: BindRequest.java 4:10:50 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.communication.jndi.agent.msg.request;

/**
 * Rebind Request
 *
 * @author ddesjardins - eBMWebsourcing
 */
public class RebindRequest extends RegistryRequest {

    /**
     * Serial UID
     */
    private static final long serialVersionUID = -7515003916732251388L;

    public RebindRequest(String contextName, String key, Object value, boolean localConnection) {
        super(RequestType.rebind, contextName, key, value, localConnection);
    }
}
